var viewHtml = "init.html";
var searchStrs = "";
var tmpsearchStrs = "";
$('#tab1').on('click', function() {
	$('.sidebar-collapse').css("display", "block");
	$('.search').css("display", "none");
	$('#tab1').addClass("select");
	$('#tab2').removeClass("select");
	tmpsearchStrs = searchStrs;
	searchStrs = "";
})
$('#tab2').on('click', function() {
	$('.sidebar-collapse').css("display", "none");
	$('.search').css("display", "block");
	$('#tab1').removeClass("select");
	$('#tab2').addClass("select");
	searchStrs = tmpsearchStrs;
})
$('#searchbutton').on('click', function() {
	fncDoSearch();
})

$("#searchTextbox").keypress(function(e){
	if(e.which != 13){
		return;
	}
	fncDoSearch();
});

function fncDoSearch() {
	var strSearchTexts = $('#searchTextbox').val();
	if(strSearchTexts == ""){
		return;
	}
	$('.sidebar-search').css("display","");
	var strSearchTexts = $('#searchTextbox').val();
	strSearchTexts = escapeSearchText(strSearchTexts);
	// 検索条件をエスケープ
	showSearchResult(strSearchTexts);
}

// 検索条件をエスケープ
function escapeSearchText(strSearchTexts){
		var regexpEscapeJson = /([$()\-^\\\|\[\]{},:+*.?])/g;
		if (regexpEscapeJson.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeJson, "\\$1");
		}
		var regexpEscapeHtmlAmp = /(&)/g;
		if (regexpEscapeHtmlAmp.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlAmp, "&amp;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlAmp, "&amp;");
		}
		var regexpEscapeHtmlLt = /(<)/g;
		if (regexpEscapeHtmlLt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlLt, "&lt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlLt, "&lt;");
		}
		var regexpEscapeHtmlGt = /(>)/g;
		if (regexpEscapeHtmlGt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlGt, "&gt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlGt, "&gt;");
		}
		return strSearchTexts;
}

function showSearchResult(strSearchTexts){
	// 検索先情報 (search.json) の取得
	var s = eval(search);
	// 検索先情報分ループ
	var iLoopLength = s.length;
	var result = '<div id="id_search_results" style="background-color: rgb(255, 255, 255);height: calc(87vh - 170px);">';
	var resultCount = 0;
	var searchTexts = createSearchText(strSearchTexts);
	for (var i = 0; i < iLoopLength; i++) {
		// 検索先情報の取得
		var body = s[i].body;		// 本文
		// 本文が空ならスキップ
		if (!body || !searchBody(body,strSearchTexts)) {
			continue;
		}
		result += createSearchResultDiv(s[i], searchTexts)
		resultCount++;
	}
	result += "</div>";
	var viewResult ="<div id=\"id_search_info\"> <span style=\"color: #cf4e32;\">" + resultCount + "</span> " + resultStr + "</div>";
	viewResult += result;
	$(".sidebar-search").html(viewResult);
}

function searchBody(body, strSearchTexts){
	var resultBoolean = true;
	body = body.toLowerCase();
	var searchTexts = createSearchText(strSearchTexts);
	$.each(searchTexts, function(index, value){
		if(value != " " && !body.match(value.replace("#space", " "))){
			resultBoolean = false;
			return false;
		}
	})
	return resultBoolean;
}

function createSearchText(strSearchTexts){
	strSearchTexts = strSearchTexts.toLowerCase();

	//ダブルクォーテーションの中の文字はスペースがあっても分割しない。
	strSearchTexts = strSearchTexts.replace(/"(.*?) (.*?)"/,"$1#space$2").replace(/　/," ");
	var txt = strSearchTexts.split(" ");
	//空要素と重複要素を除去
	var arr2 = txt.filter(function(s){return s !== '';});
	var arr3 = arr2.filter(function (x, i, self) {
		return self.indexOf(x) === i;
	});
	return arr3;
}

//検索結果のDivを作成します。
function createSearchResultDiv(target, searchTexts){
	searchStrs = searchTexts;
	var arrResults = new Array();
	arrResults.push("<div class=\"search_topic_title\">");
	arrResults.push("&nbsp;");

	arrResults.push("<a href=\"javascript:changeHtml('" + target.HTMLFileName + "');\">");
	arrResults.push(target.title);
	arrResults.push("</a>");

	arrResults.push("</div>");
	arrResults.push("<div class=\"search_topic_summary\">");
	arrResults.push(markingColor(searchTexts, target.body));
	arrResults.push("</div>");
	return arrResults.join("");

}

//targetで指定した文字をハイライトします。
function markingColor(target, body){
	var nMarkerColor = 0;
	var strMarkerColor = "";
	var strMarkerEndColor = "";
	var baseLength = body.length;
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		if(target[k] != " "){
			switch (nMarkerColor) {
				case 0:
					strMarkerColor = String.fromCharCode(0x2080);
					break;
				case 1:
					strMarkerColor = String.fromCharCode(0x2081);
					break;
				case 2:
					strMarkerColor = String.fromCharCode(0x2082);
					break;
				case 3:
					strMarkerColor = String.fromCharCode(0x2083);
					break;
				case 4:
					strMarkerColor = String.fromCharCode(0x2084);
					break;
			}

			var targetRegexp = new RegExp(target[k],'gi');
			var matchList = body.match(targetRegexp);
			var nonDuplicationlist = matchList.filter(function (x, i, self) {
				return self.indexOf(x) === i;
			});
			for (var t of nonDuplicationlist) {
				body = body.replaceAll(t,strMarkerColor +  t + String.fromCharCode(0x2085))
			}
			
			nMarkerColor++;
			if(nMarkerColor > 4){
				nMarkerColor = 0;
			}
		}
	}
	
	var resultBody = "";
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		var strcount = body.search(target[k]);
		var baseBody = body;
		var startCount = strcount - 21;
		if(startCount < 0){
			startCount = 0;
		}
		targetBody = baseBody.substring(startCount, strcount + target[k].length + 21);
		if(strcount - 20 > 0){
			targetBody = "..." + targetBody;
		}
		if(strcount + target[k].length + 20 < baseLength){
			targetBody = targetBody + "...";
		}
		resultBody += targetBody;
	}
	resultBody = resultBody.replace(/\u2080/g, "<span class=\"backA\">");
	resultBody = resultBody.replace(/\u2081/g, "<span class=\"backB\">");
	resultBody = resultBody.replace(/\u2082/g, "<span class=\"backC\">");
	resultBody = resultBody.replace(/\u2083/g, "<span class=\"backD\">");
	resultBody = resultBody.replace(/\u2084/g, "<span class=\"backE\">");
	resultBody = resultBody.replace(/\u2085/g, "</span>");

	return resultBody;
}

function changeHtml(htmlName) {
	$('#frame').attr("src", htmlName);
	viewHtml = htmlName;
	$('.topic').removeClass('thisTopic');
    $('#' + htmlName.replace(".html", "")).addClass('thisTopic');
    if(window.innerWidth <768){
   		$('nav.navbar-side').removeClass('open').addClass("in");
   		$('button.navbar-toggle').removeClass('open').addClass("collapsed")
	}
}
$('#frame').load(function(){
	$('#frame')[0].contentWindow.postMessage(searchStrs, "*");	// iframeの場合
});
var search=[{topicId:"guid-82aa08f0-080a-e962-6710-71a688c2f6ec",body:"ContentsIntroductionContentsIntroductionOperating EnvironmentGlossaryGlossaryFunctional OverviewFunction Overview of FormPDF MakerNotes on Form ConversionSettingsWord/Excel/PowerPoint SettingsSettingsAdvanced SettingsAdd-in Configuration ToolForm ConversionPerforming FormPDF ConversionInsert ObjectsChange Appearance and FontChange Size and AlignmentGroup Radio ButtonsEdit Properties and ItemsObject Name CheckError CodeFormPDF Maker ErrorNotes and RestrictionsNotes and restrictions on FormPDF Maker",title:"Contents",HTMLFileName:"Contents_guid-82aa08f0-080a-e962-6710-71a688c2f6ec_0.html"},{topicId:"guid-f336415a-e533-7c0b-251b-aaa009a768f4",body:"Introduction[[ヘルプの概要1]] [[ヘルプの概要2]] NotesThis product is developed by SKYCOM Corporation(hereinafter referred to as 'our company'). Reproduction, storage, or transmission of this document and the product in any form or by any means without prior written permission from our company is strictly prohibited. If you intend to export this product, please ensure compliance with regulations such as foreign exchange, foreign trade laws, and U.S. export control regulations. Please follow the necessary procedures. DisclaimerThis document is provided on the understanding that the information contained herein is for reference purposes only and may be subject to change without notice due to product improvements and other factors. Our company assumes no responsibility for any errors, omissions, or inaccuracies in this document. Our company makes no warranties, express or implied, regarding the completeness, accuracy, usefulness, suitability for a particular purpose, non-infringement of third-party rights, or any other aspects of the information provided in this document, and does not assume any obligation to investigate such matters. Our company offers product warranties in accordance with the terms of the license or usage agreement, and no warranties are provided based on this document. Therefore, our company shall not be liable for any damages arising from the use or inability to use this document. Last Updated[[最終更新日]] The latest version can be obtained from the following URL. https://www.skycom.jp/support/product_manual/  ",title:"Introduction",HTMLFileName:"Introduction_guid-f336415a-e533-7c0b-251b-aaa009a768f4_1.html"},{topicId:"guid-43276035-e76d-27fb-40c4-891304b641ef",body:"Operating EnvironmentAll of the following items are subject to the extended support period of the vendor or manufacturer. For example, operating systems that have reached the end of their extended support period will no longer be supported by our products. However, support is subject to our support terms and conditions during the maintenance contract period. Please use FormPDF Maker in the following operating environment. OSMicrosoft Windows 10 32-bit / 64-bit Microsoft Windows 11 64-bitLanguageJapanese onlyMicrosoft .NETVersion compatible with .NET Framework 4.6.2 Version compatible with .NET 5 Required ApplicationsMicrosoft Office Word / Excel / PowerPoint 2016 Microsoft Office Word / Excel / PowerPoint 2019 Microsoft Office Word / Excel / PowerPoint 2021 Microsoft 365 / Office 365 (Word / Excel / PowerPoint) PDF Printer DriverSkyPDF Pro Driver Ver. 8.0.0 or later for SkyPDF SmartWorker Only SkyPDF Pro Driver can be used. SkyPDF V4 Driver and SkyPDF Pro Driver with sequential numbers such as (1) or (2) cannot be used.",title:"Operating Environment",HTMLFileName:"Operating Environment_guid-43276035-e76d-27fb-40c4-891304b641ef_2.html"},{topicId:"guid-b3ba1604-fe3c-61d6-2a31-666e1c4ae8b2",body:"GlossaryThe following are definitions of the key terms used in this help guide. Some of the terms used in this help guide have meanings different than their common usage or interpretation. Please keep in mind that these terms are defined as used in this help guide. AccessibilityAccessibility refers to the features that enable users with visual, auditory, or mobility impairments to access content and functionality.Add-inA plugin or extension added to software.BookmarksA function that lists links to specific page locations, similar to a table of contents.ExcelRefers to Microsoft Office Excel.Export ValueThe values set to be output when the form data on the PDF is extracted to CSV or XML and the choices are in the selected state. For example, if it is set so that “1” is output when “Yes” is selected and “0” is output when “No” is selected, then “1” and “0” are output.FormRefers to an input form used to interactively collect information from users.Form fieldAn individual input field on a form. In this help guide, it may also be referred to as “field”.Form objectA graphic object added to an Office document using FormPDF Maker that is converted into a form field. In this help guide, it may also be referred to as “obuject”.FormPDF MakerAdd-in that adds the [FormPDF Maker] tab to the Office ribbon. This allows the creation of PDFs with forms from Office applications.HeadingsRefer to text in a Word document that is styled with styles starting with the name &quot;Heading,&quot; such as &quot;Heading 1,&quot; &quot;Heading 2,&quot; and &quot;Heading 3.&quot; You can check them in Word's &quot;Navigation Pane&quot; under &quot;Headings.&quot;OfficeRefers to Word, Excel, and PowerPoint as the three components.Office Add-inAn add-in that adds an [SkyPDF] tab to the Office ribbon. It allows the creation of a Bookmark PDF with bookmarks and links, as well as a Normal PDF without bookmarks or links.Office documentIn this help guide, refers to the original documents created Word, Excel and PowerPoint.PowerPointRefers to Microsoft Office PowerPoint.Printers & scannersA list of printers installed on the OS. Open [Start] - [Settings] - [Bluetooth & devices](or [Devices]) - [Printers & scanners].Security settingsConfigurations that control access to a file by encrypting its content and imposing restrictions on viewers, editors, or printers based on user permissions.SkyPDF Pro DriverVirtual printer provided by this product. This allows the creation of PDF files by specifying it as the printer and executing printing.SkyPDF ProfessionalSoftware sold by our company that enables the creation, viewing, and editing of PDFs.SkyPDF SmartWorkerAn optional product for SkyPDF Professional. Its functions include creating form PDFs (FormPDF Maker), extracting form data, and adding rich media.WordRefers to Microsoft Office Word.",title:"Glossary",HTMLFileName:"Glossary_guid-b3ba1604-fe3c-61d6-2a31-666e1c4ae8b2_3.html"},{topicId:"guid-ca9f6654-3492-be29-baa0-f7ad3be8c684",body:"Function Overview of FormPDF MakerSmartWorkerFormPDF Maker is an add-in for Microsoft Office Word, Excel, and PowerPoint. FormPDF Maker enables the creation of PDFs with input forms (hereinafter “PDFs with forms”) from these Office applications. Please check the notes and conversion flow before creating a PDF with forms.  Features and SettingsThe settings and functions of the [FormPDF Maker] tab in Word / Excel / PowerPoint are as follows in the table below.  SettingsOverviewWord設定リンクEnables links.しおりCreates bookmarks based on heading information.Excel設定選択したシートConverts only the selected sheets to a PDF.しおりCreates bookmarks based on sheet names.PowerPoint設定用紙に合わせて拡大/縮小Converts the PDF to fit the paper size.リンクEnables links.しおりCreates bookmarks based on slide titles.設定PDF変換後ファイルを開くWhen this check box is on,, a PDF successfully converted from [フォーム付PDF] will automatically open in the application associated with the extension (.pdf).PDFファイル保存ダイアログ表示When this check box is on, a “Save as” dialog box will be displayed, allowing the user to specify the destination and filename for the PDF file. When this check box is off, the file will be saved in the same folder as the source Office document with the same name.フォーム変換フォーム付PDFConvert Office file to a PDF with forms.テキストボックスAdd an object to the Office document that will be converted to a text box.リストボックスAdd an object to the Office document that will be converted to a List box.コンボボックスAdd an object to the Office document that will be converted to a combo box.チェックボックスAdd an object to the Office document that will be converted to a check box.ラジオボタンAdd an object to the Office document that will be converted to a radio button.プッシュボタンAdd an object to the Office document that will be converted to a push button.フォーム一覧と編集Opens a list of form objects in the document and an editing window for properties and choices.オブジェクト名チェックChecks for duplicate object names.グループ化&quot;Group&quot; in Office appsAlign&quot;Align&quot; in Office appsサイズを合わせるMatches the size of the selected objects. Form TypeThe form fields that can be created with this function are listed in the table below. Any forms not listed in the table below are not supported. テキストボックス (Text box) Form fields for entering letters, numbers, etc.リストボックス (List box) Form fields for selecting one or more from a list of choices set in advance by the creator.コンボボックス (Combo box) Form fields for selecting one of multiple choices set in advance by the creator.チェックボックス (Check box) Form fields with individual on or off status.ラジオボタン (Radio button) Form fields with an on or off state similar to a checkbox. Multiple radio buttons are typically set so that they are grouped together and only one of the group can be turned on.プッシュボタン (Push button) Form fields that execute a set action. You cannot set the content of the action with FormPDF Maker.     ",title:"Function Overview of FormPDF Maker",HTMLFileName:"Function Overview of FormPDF Maker_guid-ca9f6654-3492-be29-baa0-f7ad3be8c684_4.html"},{topicId:"guid-b3161b71-cbf0-d80b-f428-9c053ee848a7",body:"Notes on Form ConversionSmartWorkerWhen creating PDFs with forms using FormPDF Maker, please pay attention to the following points: In Excel, form objects with the &quot;Print object&quot; property turned off will not be printed, and therefore cannot be converted into form fields. In Word, if the cursor is inside a table, you may encounter issues inserting objects. In such cases, try inserting the object outside the table and then moving it into position.In Word, even if you set the &quot;Shape Fill&quot; of form objects to &quot;No fill&quot;, transparency may not be applied to the form fields after PDF conversion.There are situations where correct-sized form fields cannot be created:When form objects are too large.When the paper size is large.If certain form objects exist in your Office document, PDF conversion may fail:Objects placed outside the print area.Objects set to be hidden.In PowerPoint, hidden objects will still be visible after conversion.Duplicate field names are not supported for conversion or display/editing in FormPDFs. Therefore, form object names that become field names after PDF conversion, as well as group names for radio buttons, cannot overlap. You can check for duplicate object names using the [Object名チェック] feature. Furthermore, for grouped radio buttons, the group name becomes the field name, and each object name serves as the export value. Therefore, radio button object names can overlap if they belong to different groups.FormPDFs may not convert correctly under the following conditions:When form objects span multiple pages.When form objects are too close to each other.When there are an extremely large number of form objects.When form object properties (other than color, borders, font, and alignment) have been edited (e.g., rotation or shape effects).When other objects (such as images or shapes) overlap with form objects.When multiple form objects overlap.When clicking button to add form object repeatedly results in objects stacking in the same position. Use the [フォーム一覧と編集] feature to ensure unintended overlaps.In Excel, aligning form objects with cell borders may result in slight discrepancies after PDF conversion. This behavior is consistent with Excel's direct paper printing to a printer. If misalignment is a concern, consider adjusting the arrangement of cells and form objects.Convert to FormPDFs one file at a time. Attempting multiple conversions simultaneously before completion may result in incorrect FormPDFs.     ",title:"Notes on Form Conversion",HTMLFileName:"Notes on Form Conversion_guid-b3161b71-cbf0-d80b-f428-9c053ee848a7_5.html"},{topicId:"guid-47021f86-29a3-eb8a-5fb8-3b3338580472",body:"Word/Excel/PowerPoint SettingsSmartWorkerDepending on the Office application being run, FormPDF Maker has a “Word設定” group, an “Excel設定” group, and a “PowerPoint設定” group. The following are explanations of each of these setting items.  LinksWhen you enable the [リンク] checkboxes in the Word設定 and the PowerPoint設定, it ensures that the following links configured within the Office document continue to function after conversion to PDF. Links within the file (including table of contents)Link to web pageLink to another fileEmail address BookmarksCheck the [しおり] checkbox in Word設定, Excel設定, and PowerPoint設定 to convert the file to a PDF with bookmarks. しおり(Bookmarks) are a function that lists links to specific page locations, similar to a table of contents. What is used to create the bookmark varies depending on the application. Word This creates bookmarks based on heading information. Apply heading styles to the text in your document, such as “Heading 1”, “Heading 2”, and “Heading 3”, to create headings that will serve as bookmarks. The headings that have been created can be found in the ‘Headings’ section of Word’s ‘Navigation Pane’. Excel Creates bookmarks for each sheet. PowerPoint Creates bookmarks for each slide, based on their titles. Titles can be found in “Outline View” in PowerPoint. Slides without titles will be created with the title “Slide #n”. Selected sheetsWhen [選択したシート] is on in Excel, only the selected sheets will be converted to a PDF. Multiple sheets can be selected by holding the [Ctrl] or [Shift] key on the keyboard and mouse-clicking on the sheets you want to print.   Scale to fit paperWhen this [用紙に合わせて拡大/縮小] check box is on in PowerPoint, the document is scaled to fit the default paper size. (Example) Slides displayed in Power Point   When converting to PDF with [用紙に合わせて拡大/縮小] unchecked   When converting to PDF with [用紙に合わせて拡大/縮小] checked    ",title:"Word/Excel/PowerPoint Settings",HTMLFileName:"Word Excel PowerPoint Settings_guid-47021f86-29a3-eb8a-5fb8-3b3338580472_6.html"},{topicId:"guid-95e524fc-d166-59f2-1287-c46e58f07c77",body:"SettingsSmartWorkerThe destination of PDFs with forms created with FormPDF Maker and the behavior immediately after conversion vary depending on the status of the settings in the “設定” group. PDF変換後ファイルを開く When this is checked, a successfully converted PDF will automatically open in the application associated with the extension (.pdf). PDFファイル保存ダイアログ表示 When this is checked, a “Save as” dialog box will be displayed before converting the file to a PDF, allowing you to specify its destination and filename. When it is unchecked, the file will be saved in the same folder as the source Office document with the same name.",title:"Settings",HTMLFileName:"Settings_guid-95e524fc-d166-59f2-1287-c46e58f07c77_7.html"},{topicId:"guid-63724539-b09e-20a7-fd93-c4ebbc029e37",body:"Advanced SettingsSmartWorkerFormPDF Maker uses SkyPDF Pro Driver to perform PDF conversion. Compression, font embedding, security, and other settings must be configured on the SkyPDF Pro Driver settings screen.  How to start the settings screen Launch the SkyPDF Pro Driver settings screen using the methods below. [Print Settings] of Add-in SettingsThe settings icon in the SkyPDF add-inAt the Start menu, select [Settings] > [Bluetooth & devices](or [Devices]) > [Printers & scanners] > [SkyPDF Pro Driver] > [Print Settings], etc.Setting items are not applied For this function, the settings of the Office application, not those of SkyPDF Pro Driver, will be applied. Page SizeOrientationZoomResolution ",title:"Advanced Settings",HTMLFileName:"Advanced Settings_guid-63724539-b09e-20a7-fd93-c4ebbc029e37_8.html"},{topicId:"guid-5a9ba4e6-ad7a-dba8-f8d0-0c6634291681",body:"Add-in Configuration ToolSmartWorkerUsing “アドイン設定ツール(the add-in configuration tool)” allows you to set the default (initial) state of form objects inserted into Office documents with FormPDF Maker. After a form object is inserted, its settings can be freely changed from the defaults. Launch the following add-in configuration tool and configure the settings as needed for your operation. The Office application must be restarted for the changes to the settings to take effect. File Location (Default)32-bit OS C:\\Program Files\\SKYCOM\\FormPDFMakerAddin 64-bit OS C:\\Program Files (x86)\\SKYCOM\\FormPDFMakerAddin File NameSkyPDFAddIn_Setting.exe プレフィックスForm object name prefixesテキストText content in form objectsフォントサイズ自動(FontSizeAuto)Enables/Disables the [フォントサイズ自動] property複数行(MultiLine)Enables/Disables the [複数行] property複数選択(MultiSelect)Enables/Disables the [複数選択] of the choicesリストボックス要素List box choicesコンボボックス要素Combo box choicesWord  高さHeight of form object to be inserted in WordText box: Specified valueList box: twice the specified valueCombo box: Specified valueCheck box: 1/2 times the specified valueRadio Button: 1/2 times the specified valuePush button: Specified valueWord  幅Width of form object to be inserted in WordText box: Specified valueList box: Specified valueCombo box: Specified valueCheck box: Adjust to heightRadio Button: Adjust to heightPush button: Specified valuePowerPoint  高さHeight of form object to be inserted in PowerPoint(Similar to Word as previously described)PowerPoint  幅Width of form object to be inserted in PowerPoint(Similar to Word as previously described)フォントForm object font線の色 RGBForm object border color文字の色 RGBForm object font color塗りつぶしの色 RGBForm object background color ",title:"Add-in Configuration Tool",HTMLFileName:"Add-in Configuration Tool_guid-5a9ba4e6-ad7a-dba8-f8d0-0c6634291681_9.html"},{topicId:"guid-3e062a91-a52f-f7c3-e5bf-a9a6effd190d",body:"Performing FormPDF ConversionSmartWorkerWhen you click on [フォーム付PDF] in the ‘フォーム変換’ group of the [FormPDF Maker] tab, the objects inserted and set in the Office file are used to convert to a PDF with form. FormPDF Conversion ProcessThe basic flow of creating a PDF with forms is as follows. Insert objects. Click on the icon of the form you want to add from the “フォーム変換” group to insert a form object. Edit.Change Appearance and Font You can change aspects of the appearance of form objects, such as their fill and border, as well as fonts and font colors.Change Size and Alignment Size and placement can be adjusted freely by dragging them with your mouse. You can also use [配置 (Align)] and [サイズを合わせる (Match size)].Group Radio Buttons For radio buttons, group them as needed.Edit Properties and Items From [フォーム一覧と編集 (Form list and editing)], open the form object list and the “Edit properties and choices” window. There you can change object names and set properties, choices, and other aspects as needed.Object Name Check Checks that there are no form object names with the same name as other objects.Save. Saves the edited Office file.Perform the conversion. Press the [フォーム付PDF] icon to convert the file to a PDF.    ",title:"Performing FormPDF Conversion",HTMLFileName:"Performing FormPDF Conversion_guid-3e062a91-a52f-f7c3-e5bf-a9a6effd190d_10.html"},{topicId:"guid-0bd976c7-b607-c2b8-71d2-7e63c3645fa7",body:"Insert ObjectsSmartWorkerWith FormPDF Maker, click on the icon of the form you want to add from the “フォーム変換” group to insert a form object.  In WordIn Word, when you click the icon of the form you want to add, the object is inserted relative to the cursor's position.  If the cursor is inside a table, the form object may not be inserted correctly. In such cases, insert the object outside the table first, then move and position it as needed. In ExcelIn Excel, when you click the icon of the form you want to add, the object is inserted based on the selected cell range.  Check boxes and radio buttons are added to the upper left corner, with the height and width of the objects adjusted to fit within the selected area.  When inserting a list box or combo box, if there are cells in the selected range that have a ‘List’ set under ‘Data Validation’, options will be created from the ‘Source’.  (Example)Set a ‘List’ under ‘Data Validation’ for the cell.Select the position where you want to insert the form object, making sure it includes the cell with the input rule set.Click on [リストボックス] from the ‘フォーム変換’ group in the [FormPDF Maker] tab.A list box object with the ‘Source’ from ‘Data Validation’ as options will be inserted.The cell’s appearance and font are not inherited by the object. Those must be set separately after the object is inserted. In PowerPointIn PowerPoint, when you click the icon of the form you want to add, it is inserted at the top left corner of the selected box.  If no boxes are selected, it will be inserted in the upper left corner of the slide being shown.  ",title:"Insert Objects",HTMLFileName:"Insert Objects_guid-0bd976c7-b607-c2b8-71d2-7e63c3645fa7_11.html"},{topicId:"guid-6d528d79-6642-7bb8-8e34-b7f3ebb48ff8",body:"Change Appearance and FontSmartWorkerYou can change the appearance, including size, color, and font, of form objects inserted in Office documents with FormPDF Maker.  Background ColorUsing Office’s shape fill setting function, setting the fill color of a form object will make that color the background color of the form field. Only single colors can be used as fill colors.  BorderAs with background colors, you can use Office’s border setting function to change the thickness and color of the border, and also change between solid and dotted lines. Only single colors can be used as border colors.In addition to changes in thickness and color, changes between solid and dotted lines are also possible. However, all lines other than solid lines are treated as dotted lines.  FontFor text boxes, list boxes, combo boxes, and pushbuttons, you can set the type, size, and color of the font of the form field by changing the font settings for the text in the object. Only Japanese fonts are supported. If a Latin font or other non-Japanese font is specified, it will be processed as the default MS Gothic.Changes to font size can be made only if [Automatic font sizing] is not set in the properties.Only single colors can be used as font colors.Specify the same font for both ‘Asian text font’ and ‘Font’.  Text AlignFor text boxes and pushbuttons, the text alignment of the form fields can be set by changing the text alignment (align left, center, align right) of the text in the object.    ",title:"Change Appearance and Font",HTMLFileName:"Change Appearance and Font_guid-6d528d79-6642-7bb8-8e34-b7f3ebb48ff8_12.html"},{topicId:"guid-8ff5f6bf-cad7-04c4-cd06-03159042bbf4",body:"Change Size and AlignmentSmartWorkerForm objects inserted into Office documents using FormPDF Maker can be resized and repositioned as needed after insertion. Size and alignment can be freely changed by dragging with your mouse or by using [Align] and [サイズを合わせる].   AlignWhen multiple objects are selected, their placement can be changed and adjusted using [Align]. [Align] is a function of Office. See the Office help for more information. Match SizeWhen multiple objects are selected, their sizes can be aligned using [サイズを合わせる]. 幅を合わせるThe width of other objects is adjusted to match that of the first selected object.高さを合わせるThe height of other objects is adjusted to match that of the first selected object.幅と高さを合わせるThe size of other objects is adjusted to match that of the first selected object. ",title:"Change Size and Alignment",HTMLFileName:"Change Size and Alignment_guid-8ff5f6bf-cad7-04c4-cd06-03159042bbf4_13.html"},{topicId:"guid-3d1850f5-ef1a-3898-4f24-29736390d597",body:"Group Radio ButtonsSmartWorkerWhen you select multiple objects in an Office document, you can perform operations related to grouping the objects from [Group] in FormPDF Maker. [Group] is a function of Office. See the Office help for more information. Radio buttons can be grouped together to create a form field in which only one of the choices in the group can be selected. （例） Objects other than radio buttons are not recognized as form objects during PDF conversion when grouped.   ",title:"Group Radio Buttons",HTMLFileName:"Group Radio Buttons_guid-3d1850f5-ef1a-3898-4f24-29736390d597_14.html"},{topicId:"guid-70c6286d-892b-d40a-7a64-036fb79bdbad",body:"Edit Properties and ItemsSmartWorkerCONTENTSConfigure options and initial states for form objects inserted into Office documents using FormPDF Maker as needed. Show the properties of the object form at [Form list and editing] and confirm the setting items.  Press [更新] to refresh the list display.[∧] and [∨] change the order of the selected form objects.When you copy and paste grouped radio buttons, there may be times when you cannot change the order of the objects. In that case, either ungroup the grouping of radio buttons created by pasting once, or save the file and then reopen it.テキストボックス On the [プロパティ] tab, sets the properties shown in the table below. 初期値Initial value of text box.フォントサイズ自動When setting this to on, it sets the font size to &quot;Auto&quot;.When setting this to off, it follows the object's font settings.複数行Setting this to on allows multiple line input.最大文字数Specifies the maximum number of characters (1-10000) for the input value.マス目で区切るSeparates the text box into squares for the specified maximum number of characters.読み取り専用Check this to make the form field read-only.印刷しないOnly the input content is printed; the appearance of form fields is not printed.必須Setting this to on makes it a required input form field.The [拡張] tab is a property for embedding “extended attributes” information into the text box. Extended attributes are our proprietary form field attributes that are only valid in some SkyPDF products. You can specify the data type that can be entered into the text box and how to enter it. Supported Products for Extended Attributes Form PDFs generated with extended attributes set will function when displayed in the following supported products. If a form PDF with extended attributes is displayed in a product other than the supported products, it will operate in the same way as a form PDF without extended attributes. SkyPDF WebViewer (Ver.1.0.2.0 and later)SkyPDF Sign for iPad (only input method specification)データタイプの指定Specify the data type of the input value.分類Specify the classification of the data type of the input value.文字列 (String) / 数値 (Number) / 日付 (Date) / カスタム (Custom) If you customize the data type in [詳細], [カスタム] will be displayed.スペース入力を禁止するProhibit the input of full-width spaces and half-width spaces.種類Specify the type of input value for each specified classification. If the classification is [文字列]: 全て (All) / 数字 (Number) / 英字 (English) / 英数字 (Alphanumeric) / ひらがな / カタカナIf the classification is [数値]: 整数 (Integer) / 小数 (Decimal)If the classification is [日付]: YYYY.MM.DD / YYYY/MM/DD / YYYYMMDD / YYYY.MM / YYYY/MM / YYYYMM / MM.DD / MM/DD / MMDD / YYYY / MM / DD詳細Customize the data type. (See: データタイプの［詳細］)入力方法の指定Specify how to enter values into the text box.手書き入力しない / 手書き入力するIf you set [手書き入力する], you can use the ink input function when inputting into the text box.入力データSet the input data when selecting [手書き入力する]. 指定なし(ビューアー設定に従う) (Not specified) / テキスト (Text) / イメージ (Image) / パス (Path)  データタイプの［詳細］ 種類The type of the selected data type is displayed.正規表現Specify the input value with a regular expression. It is initially entered based on the specifications in the [拡張]tab, but it can be customized.メッセージの補足If you customize the regular expression, you can specify part of the error message (up to 100 characters) when a value that does not conform to the regular expression is entered. Example: If you set “Please enter a 10-character employee code starting with fd.” in this item, the error message will be “フォームの入力値と設定されている属性が一致しません。Please enter a 10-character employee code starting with fd.”テキストボックスに入力が想定される値Enter the value expected to be entered in the text box and click [チェック] to check if it conforms to the specified regular expression. The result is displayed in the “チェック結果 (Check Result)” field.リストボックス On the [プロパティ] tab, sets the properties shown in the table below. フォントサイズ自動When setting this to on, it sets the font size to &quot;Auto&quot;.When setting this to off, it follows the object's font settings.読み取り専用Check this to make the form field read-only.印刷しないOnly the input content is printed; the appearance of form fields is not printed.必須Setting this to on makes it a required input form field.On the [選択肢] tab, sets the choices for the list box. In addition, in Excel, you can also specify choices by cell range. 項目を指定する 選択肢The content displayed as choices.書き出し値The [書き出し値 (export value)] of a list box is the value that is export when the corresponding option is selected, when form data is extracted to CSV or XML.If not specified, the value of [選択肢] will be the export value.選択When you check this box, it sets the current item's selected state as the initial state for the list box.更新Updates the contents of the selected item to the [選択肢], [書き出し値], and [選択] values.追加Adds a new choice item with the current [選択肢], [書き出し値], and [選択] values.(List)A list of items that are shown as choices in a list box.削除Deletes the selected items.∧∨Switches the top and bottom of the selected items.複数選択Makes a form field allow multiple selections while holding down the [Ctrl] or [Shift] key on the keyboard.範囲を指定する (Excel only) If the specified range is a single column, the values within the range become the choices. If the specified range has two or more columns, the first column is the export value, the second column is the choices, and the third and subsequent columns are ignored. e.g., =Items!$A$1:$A$20 It is not possible to set a range using a separate file.You can also specify a range of choices when inserting an object. (See: Insert Objects)When [複数選択] is on, it becomes a form field that allows multiple selections while holding down the [Ctrl] or [Shift] key on the keyboard. The initial state is specified by text in the object. Choices that match the text in the object are selected in the initial state. (Example) Appearance of objects in Office Appearance of form fields after PDF conversion コンボボックス On the [プロパティ] tab, sets the properties shown in the table below. フォントサイズ自動When setting this to on, it sets the font size to &quot;Auto&quot;.When setting this to off, it follows the object's font settings.読み取り専用Check this to make the form field read-only.印刷しないOnly the input content is printed; the appearance of form fields is not printed.必須Setting this to on makes it a required input form field.On the [選択肢] tab, sets the choices for the combo box. In addition, in Excel, you can also specify choices by cell range. 項目を指定する 選択肢The content displayed as choices.書き出し値The [書き出し値 (export value)] of a combo box is the value that is export when the corresponding option is selected, when form data is extracted to CSV or XML.If not specified, the value of [選択肢] will be the export value.選択When you check this box, it sets the current item's selected state as the initial state for the combo box.更新Updates the contents of the selected item to the [選択肢], [書き出し値], and [選択] values.追加Adds a new choice item with the current [選択肢], [書き出し値], and [選択] values.(List)A list of items that are shown as choices in a combo box.削除Deletes the selected items.∧∨Switches the top and bottom of the selected items.範囲を指定する (Excel only) If the specified range is a single column, the values within the range become the choices. If the specified range has two or more columns, the first column is the export value, the second column is the choices, and the third and subsequent columns are ignored. e.g., =Items!$A$1:$A$20 It is not possible to set a range using a separate file.You can also specify a range of choices when inserting an object. (See: Insert Objects)The initial state is specified by text in the object. Choices that match the text in the object are selected in the initial state. (Example) Appearance of objects in Office Appearance of form fields after PDF conversion チェックボックス デフォルトでチェックするSets the initial state of checkboxes to “On”.スタイルCheck box style. チェックマーク(Check) / 円形(Circle) / 十字形(Cross) / ひし形 (Diamond)/ 四角形(Square) / 星形(Star)書き出し値The [書き出し値 (export value)] of a check box is the value that is export when the check box is on, when form data is extracted to CSV or XML.If not specified, the value of ON will be the export value.読み取り専用Check this to make the form field read-only.印刷しないOnly the input content is printed; the appearance of form fields is not printed.必須Setting this to on makes it a required input form field.ラジオボタン デフォルトでチェックするSets the initial state of radio button to “On”.All radio buttons that are grouped together can be turned off.Only one of the radio buttons that are grouped together can be specified as [デフォルトでチェックする (Checked by default)]. If multiple radio buttons in the same group are specified, an error will occur during PDF conversion.スタイルRadio button style. チェックマーク(Check) / 円形(Circle) / 十字形(Cross) / ひし形 (Diamond)/ 四角形(Square) / 星形(Star) 書き出し値The [書き出し値 (export value)] of a radio button is the value that is export when the corresponding option is selected, when form data is extracted to CSV or XML.If not specified, the value of [選択肢] will be the export value.読み取り専用Check this to make the form field read-only.印刷しないOnly the input content is printed; the appearance of form fields is not printed.必須Setting this to on makes it a required input form field.プッシュボタン 初期値Text in form fields.読み取り専用Check this to make the form field read-only.印刷しないOnly the input content is printed; the appearance of form fields is not printed.A push button is a form field that executes a set action. The content of the action cannot be set using this function. ",title:"Edit Properties and Items",HTMLFileName:"Edit Properties and Items_guid-70c6286d-892b-d40a-7a64-036fb79bdbad_15.html"},{topicId:"guid-2f51fa3b-2984-e5a1-407b-55303d77d40c",body:"Object Name CheckSmartWorkerAfter placing form objects, press [オブジェクト名チェック] in FormPDF Maker to check whether object names in the document are duplicated. An object name check is also performed automatically when the [フォーム付PDF] icon is pressed and PDF conversion occurs. This product does not support conversion, viewing, or editing of PDFs with forms that have fields with the same name. Therefore, object names that become field names after PDF conversion and group names for grouped radio buttons must be set so that none of them have the same names.A warning will be displayed if there are duplicate object names.  When duplicate object names are automatically resolved, all duplicate object names except the one located at the top of “フォーム一覧” in [フォーム一覧と編集] will be reset to the default (prefix + number).  Default Object NamesObject Names During Check ExecutionObject Names After Duplicate ResolutionExample in Wordtxt_1 txt_2 txt_3 Text Text Text Text txt_2 txt_3 Example in ExcelSheet1 chk_1 chk_2 Sheet2 txt_1 txt_2 Sheet1 Check Check Sheet2 Text Text Sheet1 Check chk_2 Sheet2 Text txt_2 Example in PowerPointスライド番号１ chk_1 chk_2 スライド番号２ txt_1 txt_2 スライド番号１ Check Check スライド番号２ Text Text スライド番号１ Check chk_2 スライド番号２ Text txt_2 If there are duplicates even after returning to the default, a sequential number in parentheses will be added to the object name.  Default Object NamesObject Names During Check ExecutionObject Names After Duplicate ResolutionExample in Wordtxt_1 txt_2 chk_3 chk_4 chk_5 txt_2 txt_2 txt_2 chk_3 chk_3 txt_2 txt_2(1) txt_2(2) chk_3 chk_5   Example in ExcelSheet1 txt_1 txt_2 Sheet2 txt_1 txt_2 No change as defaultSheet1 txt_1 txt_2 Sheet2 txt_1(1) txt_2(1) Example in PowerPointスライド番号１ txt_1 txt_2 スライド番号２ txt_1 txt_2 No change as defaultスライド番号１ txt_1 txt_2 スライド番号２ txt_1(1) txt_2(1)  ",title:"Object Name Check",HTMLFileName:"Object Name Check_guid-2f51fa3b-2984-e5a1-407b-55303d77d40c_16.html"},{topicId:"guid-a599036f-07b2-c285-9b5e-ad3cb9604e44",body:"FormPDF Maker ErrorSmartWorkerIn the FormPDF Maker, if you encounter a message when converting a document to a form-fillable PDF or during the conversion process, please refer to the details in the table below.   Error CodeMessageDetail15PDFファイルの保存に失敗しました。 Failed to save the PDF file. It is possible that someone has the destination PDF file open.81 フォーム付きPDF作成を中断しました。 Form-fillable PDF creation has been interrupted. The Cancel button was clicked in the PDF conversion dialog.82PDF変換がタイムアウトしました。 The set connection timeout has elapsed, resulting in a timeout during PDF conversion.-1フォーム情報がありません。 There is no object name for the form object.-2選択肢が重複しています。 Duplicate items may exist within the list boxes or combo boxes.フォーム名が重複しています。There are duplicates in the form object names.フォーム名が100文字を超えています。Some form object names exceed 100 characters.項目名が20文字を超えています。Some check boxes and radio buttons have export values exceeding 20 characters.選択肢が存在しません。There are list boxes or combo boxes without any items set.色のパターンがなくなりました。The color patterns are missing. This may occur when there are many form objects during conversion.位置を特定できなかったフォームがあります。Some forms cannot be located. There may be issues with the position of objects, such as overlapping with other objects (e.g., images or shapes).41サーバ上でエラーが発生しました。 An exception occurred in the conversion library.0x80040343指定された選択肢が不正です。 There is an issue with the items in the list boxes and combo boxes.0x80040357チェックオン時の名称が指定が不正です。 There are duplicates in the object names of grouped radio buttons.0x8004034Bラジオボタンを追加する場合、複数のチェックオン指定はできません。 Among the grouped radio buttons, multiple have been specified to be in the initial &quot;on&quot; state. Only one radio button in a group can be &quot;on.&quot;  ",title:"FormPDF Maker Error",HTMLFileName:"FormPDF Maker Error_guid-a599036f-07b2-c285-9b5e-ad3cb9604e44_17.html"},{topicId:"guid-a5a1a6b5-2e2b-6d4f-7902-4e49af14a761",body:"Notes and Restrictions on FormPDF MakerSmartWorkerPlease be aware of the following notes and restrictions when using FormPDF Maker. Password-protected documentsOffice documents with read passwords and PowerPoint documents with write passwords cannot be converted to PDFs. Display statusOffice documents that have been opened in [Protected View] cannot be converted to PDFs. Protected View: A view with most of its editing functions disabled meant to protect your computer when opening an Office file in a potentially insecure location. Link/bookmark functionThe link function can be used on the following items. Links will not be applied correctly to items other than these. Word: Table of contents links, text PowerPoint: Shapes, lines, images, text, text box linksDeleting pages in a Word document with links in the table of contents may result in an inaccurate table of contents.Compatible filesFiles extensions that can be converted to PDFs using this function are based on the functionality of the PDF conversion driver being used. File size limitsThe maximum size for Office documents to be converted is 50 MB. SkyPDF Pro Driver settingsTimeStamp Even if a timestamp is set, it will not be applied when converting a file to a PDF with forms.Standard Set [None] as the standard. If you set a standard and convert a file to a PDF with forms, the resulting PDF will not comply with any standards.Image Output When performing output ImagePDF, set the range of PDFs to be made into images to [All]. If the number of output pages differs from the number of pages of the source Office document to be converted, PDF conversion may not be successful.Obtaining filenamesWhen FormPDF Maker is processing a file, it creates a temporary file with a different name in a temporary folder and performs the PDF conversion. Therefore, if there are parts of the converted Office document that use Office functions (field functions in Word, mathematical functions in Excel, etc.) to retrieve, process, or display folders or filenames, the temporary folders or file names will apply, and they may not process or display correctly in the converted PDF. Misplacement of form fieldsSome images or photos in a document may be incorrectly identified as form objects, causing form fields to be placed in the wrong position. This may be remedied by performing PDF conversion again. If the problem persists, delete any misidentified images or photos. Editing Multiple FilesWhen creating a PDF with forms using FormPDF Maker, please create one file at a time. If you edit form objects while multiple Office files are open, the properties may unintentionally synchronize.      ",title:"Notes and Restrictions on FormPDF Maker",HTMLFileName:"Notes and Restrictions on FormPDF Maker_guid-a5a1a6b5-2e2b-6d4f-7902-4e49af14a761_18.html"}]